/*! \file XML_SAX_Write.mq4
    \brief   SAX ().
    \example XML_SAX_Write.mq4
    \author <a href="http://www.mql4.com/ru/users/BenMond">BenMond</a>
    
    ,      XML . 
SAX-           
(..        ),      , 
        .
*/

#property copyright "Copyright  2011, Ben"
#property link      "http://www.MyFXResearch.com"

#include <XmlParsingMQL4.mqh> //  -     

int start()  {
   string FileName = "test.Xml";
   int XmlTextWriter[];
   
   if(XmlTextWriter(XmlTextWriter, FileName)==-1) {
      Alert("   "+FileName);
   } else {
      WriteStartDocument(XmlTextWriter, "windows-1251");
      WriteStartElement (XmlTextWriter, "");
         WriteAttributeString(XmlTextWriter, "", "MT4" );
         WriteComment(XmlTextWriter, " ");
         WriteStartElement (XmlTextWriter, "");
            WriteAttributeString(XmlTextWriter, "", "" );
            WriteAttributeString(XmlTextWriter, "", "");
            WriteString(XmlTextWriter, "EURUSD");
         WriteEndElement(XmlTextWriter, "");
         WriteStartElement (XmlTextWriter, "");
            WriteAttributeString(XmlTextWriter, "Name", "USDJPY");
         WriteEndElement(XmlTextWriter, "");
         WriteElementString(XmlTextWriter, "", "GBPUSD");
         WriteComment(XmlTextWriter, "  ");
         WriteElementString(XmlTextWriter, "", "_S&P500");
         WriteStartElement (XmlTextWriter, "");
            WriteAttributeString(XmlTextWriter, "Name", Symbol());
            WriteAttributeString(XmlTextWriter, "Timeframe", Period());
            for(int i=0; i< 5; i++) {
               WriteStartElement(XmlTextWriter, "");
                  WriteAttributeString(XmlTextWriter, "High", DoubleToStr(High[i],Digits));
                  WriteAttributeString(XmlTextWriter, "Low", DoubleToStr(Low[i],Digits));
                  WriteString(XmlTextWriter, TimeToStr(Time[i]));
               WriteEndElement(XmlTextWriter, "");
            }
         WriteEndElement(XmlTextWriter, "");
      WriteEndElement(XmlTextWriter, "");
      WriteEndDocument(XmlTextWriter);
      Print(" "+TerminalPath()+StringTrimRight("\\experts\\files\\ ")+FileName+"  ");
   }
}