/*! \file XML_SAX_Read.mq4
    \brief   SAX ().
    \example XML_SAX_Read.mq4
    \author <a href="http://www.mql4.com/ru/users/BenMond">BenMond</a>
    
    ,      XML . 
SAX-           
(..        ),      , 
        .
*/

#property copyright "Copyright  2011, Ben"
#property link      "http://www.MyFXResearch.com"

#include <XmlParsingMQL4.mqh> //  -     

int start()  {
   string FileName = "test.Xml";
   int XmlTextReader[];

   if(XmlTextReader(XmlTextReader, FileName)) {
      string Node;
      while(true) {
         Node = XmlRead(XmlTextReader);
         if(Node=="") {
            break;
         } else {
            if(XmlDocIsElement(Node)) {
              if(XmlDocName(Node)=="") {
                  Print(" : "+XmlDocAttribute(Node, ""));
               }
              if(XmlDocName(Node)=="") {
                  Print( ": " +XmlDocAttribute(Node, "Name"  )
                        +" : "+XmlDocAttribute(Node, "")
                        +" : "+XmlDocAttribute(Node, ""));
               }
            }
            if(XmlDocIsComment(Node)) {
               Print(": "+Node);
            }
            if(XmlDocIsText(Node)) {
               Print(": "+Node);
            }
         }
      }
      XmlClose(XmlTextReader);
   } else {
      Alert("   "+FileName);
   }
}